_LWP_SETNAME(2) | System Calls Manual | _LWP_SETNAME(2)

# NAME

`_lwp_setname` —
set descriptive name of an LWP

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <lwp.h>`

int
`_lwp_setname`(lwpid_t target, const char *name);

# DESCRIPTION

`_lwp_setname`() sets the descriptive name of the LWP. It takes the following arguments.

target
  The LWP whose descriptive name will be set.
name
  The string to be used as the descriptive name of the LWP.

The name is used by top(1) when showing LWPs, for example.

# RETURN VALUES

`_lwp_setname`() returns 0 on success. Otherwise, -1 is returned and errno is set to indicate the error.

# SEE ALSO

ps(1), top(1), _lwp_getname(2), errno(2)

December 15, 2007 | NetBSD 9.4